Loading...
Searching...
No Matches
bsoncxx::v1::types::b_int32 Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "32-bit Integer".

## Public Member Functions

| b_int32 ()=default
| Zero-initialize the represented value.
| b_int32 (std::int32_t value)
| Initialize with value.

## Public Attributes

std::int32_t | value = {}
| The represented value.

## Static Public Attributes

static constexpr id | type_id = id::k_int32
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_int32 const &lhs, b_int32 const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_int32 const &lhs, b_int32 const &rhs)
| Equivalent to lhs.value == rhs.value.

## Constructor & Destructor Documentation

## b_int32() [1/2]

bsoncxx::v1::types::b_int32::b_int32 | ( |  | ) |

default

Zero-initialize the represented value.

## b_int32() [2/2]

bsoncxx::v1::types::b_int32::b_int32 | ( | std::int32_t | value | ) |

inline explicit

Initialize with value.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_int32 const & | lhs,
|  | b_int32 const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_int32 const & | lhs,
|  | b_int32 const & | rhs )

friend

Equivalent to lhs.value == rhs.value.

## Member Data Documentation

## type_id

id bsoncxx::v1::types::b_int32::type_id = id::k_int32

static constexpr

The type represented by this BSON type value.

## value

std::int32_t bsoncxx::v1::types::b_int32::value = {}

The represented value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp